html {
	height: 100%;
    color: #181818;
    background-attachment: fixed;
	-webkit-text-size-adjust: 100%;
	-ms-text-size-adjust: 100%;
}

body {
	font-family: 'Palatino', sans-serif;
    font-size: 106.25%;
}

div#container {
	padding: 0rem;
	margin: 0 auto;
	width: 100%;
	max-width: 820px;
	min-height: 100%;
	text-rendering: optimizeLegibility;
	
}

header {
	display: block;
	padding: 1em 0 0.8em 0;
	border-bottom: 1px solid #000;
    text-transform: lowercase;
}

.site-title {
    font-weight: bold;
    color: #07a;
}

h1,h2,h3,h4,h5,h6 {
    color: #333;
}

h2,
h3,
h4,
h5,
h6 {
	line-height: 1.25;
	margin-top: .6em;
	margin-bottom: .6em;
}

h1 {
	font-size: 1.6em;
}

h2 {
	font-size: 1.4em;
}

h3 {
	font-size: 1.2em;
}

h4 {
	font-size: 1em;
}

h5,
h6 {
	font-size: 0.8em;
}

div#content {
	display: block;
	padding: 1rem 0;
}

.post {
    margin-top: 10px;
    margin-bottom: 5px;
}

.post .draft-label {
    color: #a00;
    text-decoration: none;
    padding: 2px 4px;
    border-radius: 4px;
    margin-left: 6px;
    background-color: #f9f2f4;
}
.post a {
    text-transform: lowercase;
}

.meta {
	color: #999;
    font-size: 0.8em;
	margin-bottom: 5px;
}

.post > .meta {
    text-transform: lowercase;
}

.meta .draft-label {
    color: #a00;
    text-decoration: none;
    padding: 2px 4px;
    border-radius: 2.5px;
    margin-left: 6px;
    background-color: #f9f2f4;
}

footer {
	display: block;
	padding: 0.5em 0 0.5em 0;
	border-top: 1px solid #000;
}

aside {
	font-size: .9em;
	line-height: .9;
	color: #7a8288;
}

aside em {
	font-size: .7rem;
}

p {
	margin-bottom: 1em;
	line-height: 1.45;
}

ul,
ol {
	margin-bottom: 1em;
	padding-left: 1em;
}

li {
	margin-left: .5em;
	list-style-type: none;
}

ul > p,
li > p {
    line-height: 1.3em;
}

div#content li {
    list-style-type: circle;
}


table {
	margin-bottom: 1.5rem;
	border: 1px solid #e5e5e5;
	border-collapse: collapse;
	width: 95%;
}

td,
th {
	text-align: left;
	padding: .25rem .5rem;
	border: 1px solid #e5e5e5;
}

tbody tr:nth-child(odd) td,
tbody tr:nth-child(odd) th {
	background-color: #f9f9f9;
}

img {
	display: block;
	border-radius: 5px;
	max-width: 100%;
}

div#container header  {
    color: red
}

a {
    color: #333;
	text-decoration: none;
}

div#content a:hover,
p a:hover,
li a:hover {
    text-decoration: underline;
}

p a,
li a {
	color: #07A;
}

code {
	font-size: 90%;
	margin-bottom: 20px;
}

code,
pre {
    font-family: 'Courier New', monospace;
    color: #000;
}

p > code,
a > code,
li > code {
    color: #aa0020;
}

pre {
    background: #f7f7f7;
	font-size: 1rem;
	padding: 1em 1em 1em .5em;
	margin-bottom: 20px;
    border-left: 4px solid #07a;
	overflow-x: auto;
    border-top-right-radius: 2px;
    border-bottom-right-radius: 2px;
    -moz-tab-size:4;
    -o-tab-size:4;
    tab-size:4;
    overflow-x:auto;
}

/* 
START:
CSS for <pre> elements inside the code-listing and code-content divs. 
*/
.code-listing > .code-content {
	position: relative;
}

.code-content code[class]::before{
    display:none;
    content:attr(class);
    position:absolute;
    font-size: small;
    font-weight: bold;
    top:.425rem;
    right:.5rem;
    line-height: 1;
    text-transform:uppercase;
    color: #c4c4c4;
}

.code-listing:hover code[class]::before{
     display: block;
}

/* END */

figcaption {
	font-weight: 400;
	font-style: italic;
	font-size: .7em/1.52;
	line-height: 1.3;
	color: #666665;
	outline: 0;
	z-index: 300;
	text-align: center;
}

blockquote {
	border-left: 3.5px solid #0594cb;
	margin: .7em 10px;
	padding: .7em 20px;
}

blockquote p {
	display: inline;
}

/* About page portrait and avatar */
#portrait, .img-circle {
    width: 150px;
    height: 150px;
    display: block;
    margin: 0px auto;
    margin-top: 50px;
}

.img-circle {
    display: block;
    overflow: hidden;
    border: 1px solid rgba(0, 0, 0, 0.05);
    margin: 0 auto;
    border-radius: 5%;
}

#portrait {
  position:relative;
}

#portrait img {
  position:absolute;
  -webkit-transition: opacity 0.5s ease-in-out;
  -moz-transition: opacity 0.5s ease-in-out;
  -o-transition: opacity 0.5s ease-in-out;
  transition: opacity 0.5s ease-in-out;
}

#portrait img.top:hover {
  opacity:0;
}

@media all {
	div#container > * {
		font-size: 100%;
		margin-left: 2rem;
		margin-right: 2rem;
	}
}

@media all and (max-width:840px) {
	html {
		font-size: 12px;
	}
	div#container > *  {
		margin-left: 1.5rem;
		margin-right: 1.5rem;
	}
}

@media all and (max-width:760px) {
	div#container > *  {
		margin-left: 1rem;
		margin-right: 1rem;
	}

    #portrait, .img-circle {
        width: 100px;
        height: 100px;
    }

}

@media all and (max-width:580px) {
	div#content {
		padding: 0;
	}

	body>* {
		margin: .7rem 1.5rem 0 1.5rem;
	}

    #portrait, .img-circle {
        width: 80px;
        height: 80px;
    }
}
